Skip to main content
POST
Create Loyalty Program Offer

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

programId
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
name
string
required
description
string | null
startDate
string<date-time> | null
endDate
string<date-time> | null
autoClaim
boolean | null
default:false
autoClaimOverwrite
boolean | null
default:false
notify
boolean | null
notifyMessage
string | null
pointsMin
integer | null
pointsMax
integer | null
pointsCost
integer | null
limitPerCustomer
integer | null
availabilityCount
integer | null
value
number | null
currency
string | null
type
enum<string> | null
Available options:
fixed,
percent,
other
categories
string | null
products
string | null
priceRule
enum<string> | null
Available options:
min,
max,
none

Response

Successful Response